!******************************************************************************!
! Test case received from site - shows issue of running without +Swingpopups|+SwingWidgets
! Similar to %test_sd360_many we sent them, but with fewer sd360s
!
! @bug      NXM_3213 Graphics Degradation
! @since    3.8.1
! @author:  J. Czechowski / Jeanette McCall
!******************************************************************************!
startmacro L:count[4]
  switch INTERACTIVE interAct GET DEF=TRUE  SDEF=TRUE  ! for normal interactive test(s)
  switch BASELINE    baseline GET DEF=FALSE SDEF=TRUE  ! for defects or more obscure test case(s)

  if interAct then
    set instructions "TODO: Enter test case instructions here"

    pipe on
      panel/msgid=MAIN/setup/controls=gc
      gcontrol label macro "Test MACRO"
      gcontrol menu  main "Exit with Status =" "PASS,FAIL" TABLE={ItemColors={PASS="GREEN",FAIL="RED"}} /tleft
      
      while count > 0
        sd360/bg/id=stream^{count} inf
        calc L:count count 1 -
      endwhile

      gcontrol text  idtext "Instructions" instructions 24 8 /title

      ! TODO: other GConrols, Graphical Commands, Commands, etc. (otherwise remove this line)
    pipe off

  endif
endmacro

!******************************************************************************!
! Main process message for this macro. Should be right after the ENDMACRO.
!******************************************************************************!
procedure processMessage m:msg
  if msg.name eqs "MAIN" then
    assert/text="^reg.main.name: User indicated tests" msg.data eqss "PASS"
    pipe stop
  else
    say "Unhandled message name: ^msg.name from fid: ^msg.fid data: ^msg.data"
  endif
return

!******************************************************************************!
! If an unexpected exception is caught, mark test as failed, unless it is expected
!******************************************************************************!
procedure processException m:emsg
  if expectedException REXISTS then
    assert/text="^reg.main.name: Expected ERROR starts with: ^{expectedException}" expectedException EQSS emsg.data.message
    remove expectedException
  else
    assert/text="^reg.main.name: Caught unexpected exception ^{emsg.data}" "FALSE" isTrue
    if "Trace" SUBS ENV.DEBUG then invoke ,, emsg.data.printStackTrace()
  endif
return
